$
$ Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
$ Use is subject to license terms.
$

$ #pragma ident   @(#)iutest.msg 1.13     04/02/25 SMI

$ Message ID ranges:
$ VERBOSE  1    ~ 1999
$ INFO     2000 ~ 3999
$ WARNING  4000 ~ 5999
$ ERROR    6000 ~ 7999
$ FATAL    8000 ~ 9998
$ 9999 is reserved by test library for old style messages.
$ 0 is reserved and is an invalid message for all tests.

$ *****************************************************
$ VERBOSE Messages
$ *****************************************************

$ IUCONN_START_MSG		1
1	Starting the Iutest Connection Mode Test (Device %s)
$ IUCONN_END_MSG		2
2	End of the Iutest Connection Mode Test (Device %s)
$ REGWIN_START_MSG		3
3	Starting the Iutest Register Window Subtest (Depth %lu, Device %s)
$ REGWIN_END_MSG		4
4	Completed the Iutest Register Window Subtest (Device %s)
$ ALIGN_START_MSG		5
5	Starting the Iutest Memory Alignment Subtest (%s)
$ ALIGN_END_MSG			6
6	Completed the Iutest Memory Alignment Subtest (%s)
$ ALU_LSU_START_MSG		7
7	Starting the Iutest ALU/LSU Subtest (%s)
$ ALU_LSU_END_MSG		8
8	Completed the Iutest ALU/LSU Subtest (%s)
$ IUTEST_BOUND_MSG		9
9	Iutest bound to processor %d 
$ ARGUMENT_STRING_MSG		10
10	Iutest Argument String : '%s'
$ ALU_LSU_TEST_RESOURCES_MSG	11
11	Required %d bytes allocated
$ ALU_LSU_TEST_PROGRESS_MSG	12
12	Looking for all primes up to and including %d

$ *****************************************************
$ INFO Messages
$ *****************************************************

$ TEST_USAGE_MSG		2000
2000	%s specific arguments: \n\
	subtest=Subtest(s) to run:\n\
		Regwindow+Alignment+ALU_LSU, (default: all tests)\n\
	depth=  Register Window Test Depth [%d..%d] (default %d),\n\
	dev=    cpu-unitN (N is numeric id of online CPU)\n
$ TEST_USAGE32_MSG		2001
2001	%s specific arguments: \n\
	subtest=Subtest(s) to run:\n\
		Regwin+Alignment, (default Regwin)\n\
	depth=  Register Window Test Depth [%d..%d] (default %d),\n\
	dev=    cpu-unitN (N is numeric id of online CPU)\n

$ *****************************************************
$ WARNING Messages
$ *****************************************************

$ OPTION_ERR_MSG		4000
4000	Invalid option (%s), use -u option for help on usage
$ ARG_ERR_MSG			4001
4001	Invalid argument for option '%s': '%s'
$ IU_CONN_MSG			4002
4002	%s %s

$ *****************************************************
$ ERROR Messages
$ *****************************************************

$ IU_REGWIN_ERR_MSG		6000
6000	Register Window subtest failed
$ IU_UNBOUND_ERR_MSG		6001
6001	Test Not bound to any CPU.  Recommended_Action(s): <Specify a CPU to bind to using the 'dev' command line argument> or <Use the VTS UI to run the test pre-bound to a CPU>
$ IU_ALIGNTEST_UNEXPECTED_EXCEPTION_ERR_MSG	6002
6002	%s exception received where none expected\nCause: %s
$ IU_ALIGNTEST_INVALID_EXCEPTION_ERR_MSG	6003
6003	%s exception received where SIGBUS expected\nCause: %s
$ IU_ALIGNTEST_NO_EXCEPTION_ERR_MSG		6004
6004	No SIGBUS exception received when expected
$ IU_ALU_LSU_ERR_MSG		6005
6005	ALU LSU subtest failed

$ *****************************************************
$ FATAL Messages
$ *****************************************************

$ IUCONN_DEVICE_NAME_ERR	8000
8000	%s is not a valid device name
$ IUCONN_DEVICE_STATE_ERR	8001
8001	CPU %d is not present on the system
$ SYS_CALL_ERR			8002
8002	System call (%s) failure: %s

$ *****************************************************
$ PROBE Messages
$ *****************************************************

$IU_PROBE_DI_PROM_ERR		10000
10000	Unable to obtain use of VTS Device Information PROM handle.\n(%s)
$IU_PROBE_DI_NODE_ERR		10001
10001	Unable to obtain use of VTS snapshot of kernel device tree.\n(%s)
$IU_PROBE_DI_WALK_ERR		10002
10002	Unable to walk kernel Device Tree.\n(%s)
$IU_PROBE_SYSCONF_ERR		10003
10003	Unable to obtain the number of On-Line CPUs from the System Configuration.
$IU_PROBE_WARN			10004
10004	Only able to obtain PROM information on %u of the %ld on-line CPUs from the device tree.
$IU_PROBE_DI_PROM_PORTID_WARN	10005
10005	Unable to obtain Port Id for CPU node.
$IU_PROBE_PROC_INFO_WARN	10006
10006	Processor Info Unavailable for CPU %d.
$IU_PROBE_DI_PROM_NAME_WARN	10007
10007	Unable to obtain Device Name property from kernel device tree node for for CPU %d
